<?php
$config['version'] = 'Wersja sell<strong>smart</strong> X3 (13.0.0 r867)';
# wersja 13.0.x
# x - kolejna wersja, zmiany w strukturze bazy danych
# r - numer rewizji
$config['site_off'] = false;
$config['prices_off'] = false;
$config['fastOrder'] = true;
/*
 * Directories
*/
$config['dir_engine'] = 'engine/';
$config['dir_db'] = 'database/';
$config['dir_libraries'] = 'libraries/';
$config['dir_lang'] = 'languages/';
$config['dir_templates'] = 'templates/';
$config['dir_files'] = 'upload/';
$config['dir_plugins'] = 'plugins/';
$config['dir_scripts'] = 'scripts/';
$config['index'] = 'index.html';
$config['redirect'] = null;
define( 'INDEX', $config['index'] );
define( 'REDIRECT', $config['redirect'] );
$config['smtpServer'] = "";
define( 'SMTP_SERVER', $config['smtpServer'] );
$config['smtpPort'] = 587;
define( 'SMTP_PORT', $config['smtpPort'] );
$config['smtpTimeout'] = 30;
define( 'SMTP_TIMEOUT', $config['smtpTimeout'] );
$config['smtpUser'] = "";
define( 'SMTP_USER', $config['smtpUser'] );
$config['smtpPass'] = "";
define( 'SMTP_PASS', $config['smtpPass'] );
$config['smtpLocalhost'] = 'localhost';
define( 'SMTP_LOCALHOST', $config['smtpLocalhost'] );
$config['hidden_shows'] = false;
$config['search_products_description'] = true;
$config['login'] = "admin";
$config['pass'] = "21232f297a57a5a743894a0e4a801fc3";
$config['default_lang'] = "pl";
$config['enabled_langs'] = "[&quot;pl&quot;]";
$config['users_plugin_active'] = true;
$config['hide_authorized_pages'] = true;
$config['show_products_in_menu'] = null;
$config['count_products_in_menu'] = true;
$config['show_attributes_in_search'] = false;
$config['filter_products_module'] = true;
$config['filter_products_producer_visible'] = 1;
$config['filter_products_producer_type'] = 3;
$config['filter_producers_module'] = true;
$config['show_unselectable_attributes_in_basket'] = false;
$config['show_attributes_table'] = true;
$config['secure_compare'] = false;
$config['compare_products'] = 1;
$config['join_promotions'] = 1;
define( 'JOIN_PROMOTIONS', $config['join_promotions'] );
$config['oscGT_auth_code'] = "";
$config['oscGT_price_round2'] = 1;
$config['oscGT_PageUpdates_OnStatus'] = true;
$config['oscGT_store'] = 1;
define( 'OSC_PRICE_ROUND2', $config['oscGT_price_round2'] );
define( 'OSC_STORE', $config['oscGT_store'] );
$config['serwersms_login'] = "";
$config['serwersms_password'] = "";
$config['sms_admin_phone'] = "";
$config['sms_sender_name'] = "";
$config['sms_send_min_hour'] = 8;
$config['sms_send_max_hour'] = 20;
$config['sms_debug'] = 0;
$config['sms_send_status_change_to_client'] = 0;
$config['sms_send_new_order_to_admin'] = 0;
$config['sms_send_new_comment_to_admin'] = 0;
$config['sms_send_new_contact_to_admin'] = 0;
$config['sms_send_new_product_ask_to_admin'] = 0;
$config['sms_send_new_price_negotiate_to_admin'] = 0;
$config['sms_send_avail_newsletter'] = 0;
$config['sms_send_forum_notify_admin'] = 0;
$config['sms_send_forum_notify_user'] = 0;
$config['email_send_forum_notify_admin'] = 1;
$config['server_path'] = "";
$config['allegro_uid'] = "";
$config['enadawca_user'] = "";
$config['enadawca_password'] = "";
$config['enadawca_test'] = 0;
$config['enadawca_urzad'] = 0;
$config['enadawca_pobranie_nrb'] = "";
define( 'ENADAWCA_USER', $config['enadawca_user'] );
define( 'ENADAWCA_PASSWORD', $config['enadawca_password'] );
$config['cookie_admin'] = defined( 'CUSTOMER_PAGE' ) ? null : 'A';
$config['recaptcha_public'] = "";
$config['recaptcha_private'] = "";
if( !isset( $sLang ) || !is_file( $config['dir_lang'] . $sLang . '.php' ) || strlen( $sLang ) != 2 ){
	if( empty( $_COOKIE['sLanguage' . $config['cookie_admin']] ) || !is_file( $config['dir_lang'] . $_COOKIE['sLanguage' . $config['cookie_admin']] . '.php' ) || strlen( $_COOKIE['sLanguage' . $config['cookie_admin']] ) != 2 ) define( 'LANGUAGE', $config['default_lang'] );
	else define( 'LANGUAGE', $_COOKIE['sLanguage' . $config['cookie_admin']] );
} else{
	define( 'LANGUAGE', $sLang );
	setCookie( 'sLanguage' . $config['cookie_admin'], $sLang, time( ) + 86400 );
}
$config['config'] = 'configure/general.php';
$config['config_lang'] = 'configure/lang_' . LANGUAGE . '.php';
$config['config_carriers'] = 'configure/carriers_' . LANGUAGE . '.php';
foreach( glob( $config['dir_db'] . '*.def.php' ) as $sDatabaseFileName ){
	$sDatabaseFileName = str_replace( $config['dir_db'], '', $sDatabaseFileName );
	if( preg_match( '/^([a-z]{2})_([^\\.]+)\.def\.php$/', $sDatabaseFileName, $aMatches ) ){
		if( $aMatches[1] == LANGUAGE ){
			$config_db[$aMatches[2]] = $config['dir_db'] . LANGUAGE . '_' . $aMatches[2] . '.php';
			define( 'DB_' . mb_strtoupper( $aMatches[2], 'UTF-8' ), $config_db[$aMatches[2]] );
		}
	} elseif( preg_match( '/^([^\\.]+)\.def\.php$/', $sDatabaseFileName, $aMatches ) ){
		$config_db[$aMatches[1]] = $config['dir_db'] . $aMatches[1] . '.php';
		define( 'DB_' . mb_strtoupper( $aMatches[1], 'UTF-8' ), $config_db[$aMatches[1]] );
	}
}
$config['basket_summary'] = true;
$config['language'] = LANGUAGE;
$config['newsletter'] = true;
$config['newsletter_popup'] = true;
$config['cross_sell'] = true;
$config['send_order_status_to_client'] = true;
$config['pages_images_sizes'] = Array( 100 => 100, 125 => 125, 150 => 150, 175 => 175, 200 => 200, 225 => 225, 250 => 250 );
$config['max_dimension_of_image'] = 2500;
$aOuterPaymentOption = Array( 1 => 'DotPay', 2 => 'Przelewy24', 3 => 'PayPal', 4 => 'PayU.pl', 5 => 'eRaty Santander Consumer Finanse', 6 => 'PayByNet', 7 => 'Pobranie (dla API kurierów)', 8 => 'Credit Agricole Raty', 9 => 'SOFORT AG', 10 => 'Transferuj.pl', 11 => 'CashBill.pl'/*, 12 => 'eCard.pl'*/ , 13 => 'BlueMedia', 14 => 'Firstdata' );
$config['skapiec_shop_id'] = "";
$config['interia_shop_id'] = "";
$config['fotolia_id'] = "";
$config['verify_customer_code'] = "";
$config['verify_customer_API_key'] = "";
$config['verify_customer_API_black_list_percent'] = 0.5;
$config['verify_customer_API_black_list_count'] = 3;
// 1 - prosta, 2 - rozszerzona, 3 - rozszerzona + API
$config['verify_customer_option'] = 1;
$config['gifts'] = true;
$config['hide_unavailable_products'] = false;
$config['facebook_login'] = false;
$config['facebook_login_appId'] = "";
$config['facebook_login_secret'] = "";
/*
$config['younity_id'] = '';
$config['younity_token'] = '';
$config['younity_sandbox'] = 0;
*/
$config['social_wiggets_facebook'] = false;
$config['social_wiggets_facebook_username'] = "sellsmartpl";
$config['social_wiggets_twitter'] = false;
$config['social_wiggets_twitter_code'] = "";
$config['social_wiggets_twitter_height'] = 350;
$config['social_wiggets_youtube'] = false;
$config['social_wiggets_youtube_username'] = "";
$config['social_wiggets_gadugadu'] = false;
$config['social_wiggets_gadugadu_id'] = "";
$config['social_wiggets_googleplus'] = false;
$config['social_wiggets_googleplus_code'] = "";
$config['social_wiggets_pinterest'] = false;
$config['social_wiggets_pinterest_link'] = "";
$config['ms_color_app'] = "#ffffff";

$config['List_quantity_input'] = 0;

define( 'DIR_DB', $config['dir_db'] );
define( 'DIR_ENGINE', $config['dir_engine'] );
define( 'DIR_FILES', $config['dir_files'] );
define( 'DIR_LANG', $config['dir_lang'] );
define( 'DIR_LIBRARIES', $config['dir_libraries'] );
define( 'DIR_PLUGINS', $config['dir_plugins'] );
define( 'DIR_TEMPLATES', $config['dir_templates'] );
define( 'HIDE_AUTHORIZED_PAGES', $config['hide_authorized_pages'] );
define( 'DB_CONFIG', $config['config'] );
define( 'DB_CONFIG_LANG', $config['config_lang'] );
define( 'DB_CONFIG_CARRIERS', $config['config_carriers'] );
define( 'MAX_DIMENSION_OF_IMAGE', $config['max_dimension_of_image'] );
define( 'HIDDEN_SHOWS', $config['hidden_shows'] );
define( 'VERSION', 13 );
define( 'DEBUG_SELLSMART', /** / true || /**/ false );
$config['DEBUG_FIRELESS'] = /** / true || /**/ false;
$config['DEVMODE'] = true;
?>
